#version 110

attribute vec3 inVertex;
attribute vec3 inTextureCoord;

uniform mat4 modelMatrix;
uniform mat4 viewProjectionMatrix;

varying vec2 textureCoord;

void main() {
  gl_Position  = viewProjectionMatrix * modelMatrix * vec4( inVertex, 1.0 );
  textureCoord = inTextureCoord.xy;
}
