#version 110

varying vec3 textureCoord;

uniform samplerCube textureSkybox;
uniform vec3        screenGamma;
uniform float       exposureLevel;

void main() {
  vec3 mapped  = vec3( 1.0 ) - exp( -textureCube( textureSkybox, textureCoord ).rgb * exposureLevel );
  gl_FragColor = vec4( pow( mapped, screenGamma ), 1.0 );
}
